Subject: Re: [PATCH net] net: stmmac: fix handling of zero coalescing tx-usecs

From: Jakub Kicinski <[email-masked]>
Date: Tue, 5 Sep 2023 13:51:03 -0700

On Tue, 5 Sep 2023 13:32:48 +0200 Vincent Whitchurch wrote:
> Setting ethtool -C eth0 tx-usecs 0 is supposed to disable the use of the
> coalescing timer but currently it gets programmed with zero delay
> instead.
> 
> Disable the use of the coalescing timer if tx-usecs is zero by
> preventing it from being restarted.  Note that to keep things simple we
> don't start/stop the timer when the coalescing settings are changed, but
> just let that happen on the next transmit or timer expiry.
> 
> Fixes: 8fce33317023 ("net: stmmac: Rework coalesce timer and fix multi-queue races")
> Signed-off-by: Vincent Whitchurch <[email-masked]>

This does not apply cleanly to net, please rebase and repost.
-- 
pw-bot: cr